<ui:composition template="/WEB-INF/templates/layout.xhtml" xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
    xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:p="http://primefaces.org/ui">

    <ui:define name="header">
        <h1>#{msg['phonebook.title']}</h1>
        <ui:include src="/WEB-INF/includes/localization.xhtml" />
    </ui:define>

    <ui:define name="content">
        <ui:include src="/WEB-INF/includes/contact.xhtml" />
        <h:form id="phonebookForm">
            <p:messages globalOnly="true" showDetail="true" closable="true">
                <p:autoUpdate />
            </p:messages>
            <p:dataTable id="contactsTable" value="#{phonebook.contacts}" var="cont">
                <p:column headerText="#{msg['contact.name']}">
                    <p:outputLabel value="#{cont.name}" />
                </p:column>
                <p:column headerText="#{msg['contact.surname']}">
                    <p:outputLabel value="#{cont.surname}" />
                </p:column>
                <p:column headerText="#{msg['contact.address']}">
                    <p:outputLabel value="#{cont.address}" />
                </p:column>
                <p:column headerText="#{msg['contact.phone']}">
                    <p:outputLabel value="#{cont.phone}" />
                </p:column>
                <p:column headerText="#{msg['contact.mobile']}">
                    <p:outputLabel value="#{cont.mobile}" />
                </p:column>
                <p:column headerText="#{msg['contact.email']}">
                    <p:outputLabel value="#{cont.email}" />
                </p:column>
                <p:column headerText="#{msg['contact.note']}" styleClass="truncate">
                    <h:outputText id="noteLabel" value="#{cont.note}" />
                    <p:tooltip for="noteLabel" value="#{cont.note}" />
                </p:column>
                <p:column headerText="#{msg['contact.lastChanged']}">
                    <h:outputText value="#{cont.changed}">
                        <f:convertDateTime type="both" dateStyle="short" timeStyle="default" />
                    </h:outputText>
                </p:column>
                <p:column>
                    <p:commandButton value="#{msg['phonebook.editContact']}"
                        action="#{phonebook.prepareContactForEditing(cont)}" process="@this"
                        update=":contactEditorForm contactEditorDialog"
                        oncomplete="PF('contactEditorDialogWidget').show();">
                        <p:resetInput target=":contactEditorDialog" />
                    </p:commandButton>
                    <p:commandButton value="#{msg['phonebook.deleteContact']}"
                        actionListener="#{phonebook.deleteContact(cont.id)}"
                        action="#{phonebook.populateContacts}" process="@this" update="@form" />
                </p:column>
                <f:facet name="footer">
                    <p:commandButton value="#{msg['phonebook.createContact']}"
                        action="#{phonebook.prepareEmptyContact}"
                        oncomplete="PF('contactEditorDialogWidget').show();" process="@this"
                        update=":contactEditorForm">
                        <p:resetInput target=":contactEditorDialog" />
                    </p:commandButton>
                </f:facet>
            </p:dataTable>
        </h:form>
    </ui:define>
</ui:composition>